Subject: bug#36127: 26.1, openbsd-6.5; org-9.2.3 package fails to install

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Jul 2019 15:36:31 +0200

VanL <[email-masked]> writes:

>> If I say "emacs -Q" and `M-x package-list-packages', I get "org" in the
>> list, and I can install it.
>
> I am able to reproduce the problem after relabelling ~/.emacs.d to
> ~/__dot__emacs.d and invoking 'emacs -Q' then 'M-x list-packages'.

(You shouldn't need to rename anything if you use "emacs -Q", I think?)

> In trying to install org-9.2.3, a question in a dialogue box asks for
> Yes or No answer to
>
>   Buffer " *http elpa.gnu.org:443* has a running process; kill it?"

Huh.  "http"?  Did Emacs 26.1 try to download from http instead of
https?  Perhaps that's the problem?  Does this ring a bell with anybody?

> I say Yes and the error message is
>
>   Failed to verify signature: "org-9.2.3.tar.sig"
>
> The error help buffer has...
>
> Failed to verify signature org-9.2.3.tar.sig:
> Bad signature from 474F05837FBDEF9B GNU ELPA Signing Agent <[email-masked]>
> Command output:
> gpg: Signature made Thu Apr 25 09:12:24 2019 AEST using DSA key ID 7FBDEF9B

That's natural, because you probably didn't get the package downloaded,
so it compares the signature of null with the expected signature...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no